using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.Primitives;
using Telerik.WinControls.UI;

namespace RadTreeViewImage
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radTreeView1.ThemeName = "RadTreeViewCustom";

            ImagePrimitive img = new ImagePrimitive();
            img.Image = RadTreeViewImage.Properties.Resources._1_New;
            img.ImageLayout = ImageLayout.Tile;
            img.ZIndex = -100;
            img.Size = new Size(1, 1);
            img.Location = new Point(0, this.radTreeView1.Height - RadTreeViewImage.Properties.Resources._1_New.Height);
            this.radTreeView1.TreeViewElement.Children.Add(img);

            this.radTreeView1.NodeMouseLeave += new Telerik.WinControls.UI.RadTreeView.TreeViewEventHandler(radTreeView1_NodeMouseLeave);
            this.Move += new EventHandler(Form1_Move);
        }

        void Form1_Move(object sender, EventArgs e)
        {
            this.radTreeView1.Invalidate();
        }

        void radTreeView1_NodeMouseLeave(object sender, Telerik.WinControls.UI.RadTreeViewEventArgs e)
        {
            this.radTreeView1.InvalidateNode(e.Node);
        }
    }
}